const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const booking_beds = sequelize.define(
    'booking_beds',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

date: {
        type: DataTypes.DATE,

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  booking_beds.associate = (db) => {

    db.booking_beds.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.booking_beds.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };

  return booking_beds;
};

